=== modified file 'lib/lp/registry/browser/peoplemerge.py'
--- lib/lp/registry/browser/peoplemerge.py	2011-04-08 21:11:53 +0000
+++ lib/lp/registry/browser/peoplemerge.py	2011-04-08 22:39:03 +0000
@@ -90,7 +90,8 @@
     # subclasses.
     should_confirm_email_reassignment = False
     should_confirm_member_deactivation = False
-    merge_message = _('Merge completed successfully.')
+    merge_message = _(
+        'A merge is queued and is expected to complete in a few minutes.')
 
     dupe_person_emails = ()
     dupe_person = None
@@ -138,7 +139,7 @@
                 naked_email.personID = self.target_person.id
                 naked_email.accountID = self.target_person.accountID
                 naked_email.status = EmailAddressStatus.NEW
-        getUtility(IPersonSet).merge(
+        job = getUtility(IPersonSet).mergeAsync(
             self.dupe_person, self.target_person, reviewer=self.user)
         self.request.response.addInfoNotification(self.merge_message)
         self.next_url = self.success_url
@@ -251,7 +252,7 @@
 
     page_title = 'Delete'
     field_names = ['dupe_person', 'target_person']
-    merge_message = _('Team deleted.')
+    merge_message = _('The team is queued to be deleted.')
 
     @property
     def label(self):

=== modified file 'lib/lp/registry/browser/tests/peoplemerge-views.txt'
--- lib/lp/registry/browser/tests/peoplemerge-views.txt	2011-03-25 13:44:19 +0000
+++ lib/lp/registry/browser/tests/peoplemerge-views.txt	2011-04-08 22:39:03 +0000
@@ -31,13 +31,10 @@
     ...     person_set, '+adminteammerge', form=form)
     >>> len(view.errors)
     0
-
-The old team is now renamed but the target team remains.
-
-    >>> print person_set.getByName('name21')
-    None
-    >>> print person_set.getByName('ubuntu-team').displayname
-    Ubuntu Team
+    >>> for notification in view.request.response.notifications:
+    ...     print notification.message
+    A merge is queued and is expected to complete in a few minutes.
+
 
 Attempting to merge a non-existent team results in an error.
 
@@ -181,18 +178,15 @@
 
     >>> for notification in view.request.response.notifications:
     ...     print notification.message
-    Team deleted.
+    The team is queued to be deleted.
 
     >>> print view.next_url
     http://launchpad.dev/people
 
-    >>> print person_set.getByName('deletable')
-    None
-
 The delete team view cannot be hacked to delete another team, or change
 the team that the merge operation is performed with.
 
-    >>> deletable_team = factory.makeTeam(owner=team_owner, name='deletable')
+    >>> deletable_team = factory.makeTeam(owner=team_owner, name='delete-me')
     >>> transaction.commit()
     >>> form = {
     ...     'field.target_person': 'rosetta-admins',
@@ -206,9 +200,6 @@
     >>> view.request.response.notifications
     []
 
-    >>> print deletable_team.name
-    deletable
-
 A team with a mailing list cannot be deleted.
 
     >>> team, mailing_list = factory.makeTeamAndMailingList(
@@ -246,4 +237,4 @@
     []
     >>> for notification in view.request.response.notifications:
     ...     print notification.message
-    Team deleted.
+    The team is queued to be deleted.

=== modified file 'lib/lp/registry/stories/person/xx-adminpeoplemerge.txt'
--- lib/lp/registry/stories/person/xx-adminpeoplemerge.txt	2010-10-10 15:39:28 +0000
+++ lib/lp/registry/stories/person/xx-adminpeoplemerge.txt	2011-04-08 22:39:03 +0000
@@ -1,4 +1,5 @@
-= Merging people or teams =
+Merging people or teams
+=======================
 
 Launchpad admins can merge any two people or teams, without the need of
 any email address confirmation or something like that.  There's one page
@@ -35,17 +36,6 @@
     >>> admin_browser.url
     'http://launchpad.dev/~salgado'
 
-    >>> from zope.component import getUtility
-    >>> from canonical.launchpad.ftests import ANONYMOUS, login, logout
-    >>> from lp.registry.interfaces.person import IPersonSet
-    >>> login(ANONYMOUS)
-    >>> person_set = getUtility(IPersonSet)
-    >>> person_set.getByEmail('andrew.bennetts@ubuntulinux.com').name
-    u'salgado'
-
-    >>> spiv = person_set.getByName('spiv-merged', ignore_merged=False)
-    >>> spiv.merged.name
-    u'salgado'
-
-    >>> logout()
+    >>> print get_feedback_messages(admin_browser.contents)[0]
+    A merge is queued and is expected to complete in a few minutes.
 

